:-[diceresult].

%%%%%IMPLEMENTATION FOR ROLLING THE DICE%%%%%%%%%

roll_the_dice(Count,LogicList) :-
	dice_colour_wrapper(LogicList,0,ColourList),
	gui_dice_color_all(Count,ColourList).

dice_colour_wrapper([],_,[]).

dice_colour_wrapper([X|R],Acc,[Color|ColorRest]) :-
	X > 0,
	XN is X - 1,
	int2colour(Acc,Color),
	dice_colour_wrapper([XN|R],Acc,ColorRest).

dice_colour_wrapper([0|R],Acc,L) :-
	AccN is Acc + 1,
	dice_colour_wrapper(R,AccN,L).
